#### Description:

The Plot class defines a set of escape sequences which can be included within a text string in order to control the appearance of sub-strings within the text. See the Escape attribute for a description of these escape sequences. It is usually inappropriate for AST to return strings containing such escape sequences when called by application code. For instance, an application which displays the value of the Title attribute of a Frame usually does not want the displayed string to include potentially long escape sequences which a human read would have difficuly interpreting. Therefore the default behaviour is for AST to strip out such escape sequences when called by application code. This default behaviour can be changed using this function.

#### Synopsis

int astEscapes( int new_value )

#### Parameters:

##### new_value

A flag which indicates if escapes sequences should be included in returned strings. If zero is supplied, escape sequences will be stripped out of all strings returned by any AST function. If a positive value is supplied, then any escape sequences will be retained in the value returned to the caller. If a negative value is supplied, the current value of the flag will be left unchanged.

#### Applicability

##### Object

This macro applies to all Objects.

#### Returned Value

##### astEscapes

The value of the flag on entry to this function.

#### Notes:

- This function also controls whether the astStripEscapes function removes escape sequences from the supplied string, or returns the supplied string without change.

- This function attempts to execute even if an error has already occurred.

Copyright (C) 2021 East Asian Observatory